import * as VFS from "wa-sqlite/src/VFS.js";
declare type IOptions = {
    durability: "default" | "strict" | "relaxed";
    purge: "deferred" | "manual";
    purgeAtLeast: number;
};
export declare class IDBAtomicVFS extends VFS.Base {
    #private;
    name: string;
    private options;
    private filesState;
    private dbNameFileIdMap;
    private webLocks;
    private pendingPurges;
    private blockToWrite;
    constructor(name: string, options?: Partial<IOptions>);
    xOpen(name: string, fileId: number, flags: number, pOutFlags: {
        set: (arg0: number) => void;
    }): Promise<number>;
    xClose(fileId: number): Promise<number>;
    xRead(fileId: number, pData: {
        size: number;
        value: Int8Array;
    }, iOffset: number): Promise<number>;
    xWrite(fileId: number, pData: {
        size: number;
        value: Int8Array;
    }, iOffset: number): 0 | 10;
    xTruncate(fileId: number, iSize: number): 0 | 10;
    xSync(fileId: number, flags: number): 0 | Promise<number> | 10;
    xFileSize(fileId: number, pSize64: {
        set: (arg0: number) => void;
    }): 0;
    xLock(fileId: number, flags: number): Promise<number>;
    xUnlock(fileId: number, flags: number): Promise<number>;
    xSectorSize(fileId: number): number;
    xDeviceCharacteristics(fileId: number): number;
    xFileControl(fileId: number, op: number): 0 | Promise<number> | 10 | 12;
    xAccess(name: string, flags: number, pResOut: {
        set: (arg0: number) => void;
    }): 0;
    xDelete(name: string, syncDir: number): Promise<number>;
    purge(path: string): Promise<void>;
    private getFileStateByPathOrThrow;
    private getFileStateByIdOrThrow;
}
export {};
