import * as VFS from "wa-sqlite/src/VFS.js";
declare type IOptions = {
    durability: "default" | "strict" | "relaxed";
};
export declare class IDCachedWritesVFS extends VFS.Base {
    name: string;
    private filesState;
    private dbNameFileIdMap;
    private webLocks;
    private options;
    private pendingWrites;
    private cursors;
    constructor(name: string, options?: IOptions);
    xOpen(name: string, fileId: number, flags: number, pOutFlags: {
        set: (arg0: number) => void;
    }): Promise<number>;
    xClose(fileId: number): Promise<number>;
    private cursorPromises;
    xRead(fileId: number, pData: {
        size: number;
        value: Int8Array;
    }, iOffset: number): Promise<number>;
    private prevReads;
    private getReadDirection;
    xWrite(fileId: number, pData: {
        size: number;
        value: Int8Array;
    }, iOffset: number): 0 | 10;
    xTruncate(fileId: number, iSize: number): 0 | 10;
    xSync(fileId: number, flags: number): 0 | Promise<number>;
    xFileSize(fileId: number, pSize64: {
        set: (arg0: number) => void;
    }): 0;
    xLock(fileId: number, flags: number): Promise<number>;
    xUnlock(fileId: number, flags: number): Promise<number>;
    xSectorSize(fileId: number): number;
    xDeviceCharacteristics(fileId: number): number;
    xAccess(name: string, flags: number, pResOut: {
        set: (arg0: number) => void;
    }): 0;
    xDelete(name: string, syncDir: number): Promise<number>;
    txFileControl(fileId: number, op: number): 12;
    private bound;
    private getFileStateByPathOrThrow;
    private getFileStateByIdOrThrow;
}
export {};
